<template>
  <v-menu
    ref="menu"
    v-model="menu"
    :close-on-content-click="false"
    :return-value.sync="date"
    transition="scale-transition"
    offset-y
    min-width="290px"
  >
    <template v-slot:activator="{ on }">
      <v-text-field
        v-model="dateRangeText"
        label="Rango de fechas"
        readonly
        v-on="on"
      ></v-text-field>
    </template>
    <v-date-picker v-model="date" no-title scrollable range locale = "es">
      <v-spacer></v-spacer>
      <v-btn text color="primary" @click="menu = false">Cancelar</v-btn>
      <v-btn text color="primary" @click="cambioFecha">OK</v-btn>
    </v-date-picker>
  </v-menu>
</template>
<script>
export default {
  props : {
    nombre: String,
  },
  data: () => ({
       date: [new Date().toISOString().substr(0, 10), new Date().toISOString().substr(0, 10),],
      menu: false,
    }),
  methods:{
    cambioFecha(){
      this.$refs.menu.save(this.date)
      this.$emit('cambioFecha', this.date);
    }
  },
  computed: {
      dateRangeText () {
        return this.date.join(' ~ ')
      },
    },

}
</script>
    